Bug 199606 - qt4-devel should Requires: nas-devel
Summary: qt4-devel should Requires: nas-devel
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch, Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-20 18:47 UTC by Laurent Rineau
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 19:34:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposition of patch (416 bytes, patch)
2006-07-20 18:47 UTC, Laurent Rineau
no flags Details | Diff

Description Laurent Rineau 2006-07-20 18:47:57 UTC
Created attachment 132760 [details]
Proposition of patch

Comment 1 Laurent Rineau 2006-07-20 18:47:57 UTC
** Description of problem:

I cannot compile a Qt application which use qmake, with option CONFIG+=qt in 
the pro file.

The error is:
g++ -m64 -shared -o 
libimage.so ../../../build/obj/ipelets/image.o   -L../../../build/lib -L/usr/lib64 -lipe -lQtGui -L/usr/X11R6/lib64 -laudio -lXt -lQtCore -lpthread 
/usr/bin/ld: cannot find -laudio

** Version-Release number of selected component (if applicable): 4.1.4-6.fc5

** How reproducible:
  Try to compile the package ipe-6.0-0.8.pre26, from Fedora Extras CVS, after 
having removed the line "BuildRequires:  nas-devel"

** Actual results: It fails with the error above.

** Expected results: rpmbuild complains about nas-devel missing, of the build 
system installs nas-devel.

** Additionnal informations:
  The four files:
    /usr/lib64/pkgconfig/Qt3Support.pc
    /usr/lib64/pkgconfig/QtGui.pc
    /usr/lib64/pkgconfig/QtOpenGL.pc
    /usr/lib64/pkgconfig/QtSvg.pc
contains -laudio. That is the only library added in pkgconfig files of qt4 
that have no corresponding Requires: in the qt4-devel package.

Comment 2 Rex Dieter 2006-07-20 18:57:02 UTC
Or strip '-laudio' from the .pc files.  Avoids the needless extra libs in
linking. (:

Comment 3 Laurent Rineau 2006-07-20 19:04:44 UTC
Feel free to do what you want to avoid the compilation error! :-)

... I know understand why you wanted to strip so much things, from the 
pkconfig files. During the review stage of qt4, i did not see what was the 
point.

qmake reads the pkfconfig files, actually?


Comment 4 Rex Dieter 2006-07-20 19:34:44 UTC
(Sorry about this goof, I should have known to look for the new library
dependency after adding BR: nas-devel).

%changelog
* Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-8
- strip -laudio from .pc files


Note You need to log in before you can comment on or make changes to this bug.